Bug 1123076

Summary: [abrt] gthumb: strncmp(): gthumb killed by SIGSEGV
Product: [Fedora] Fedora Reporter: Tim Waugh <twaugh>
Component: gthumbAssignee: Christian Krause <chkr>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: chkr
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/0d524e212631e2366b8f6ff593b88d70b60dc0af
Whiteboard: abrt_hash:5061b8373042cbb293197fa25a2cc27cc3187608
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 21:44:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Tim Waugh 2014-07-24 19:09:22 UTC
Description of problem:
I think this happened during a drag and drop operation.

(By the way, it took about half an hour to download and install the relevant debuginfo packages to get a backtrace... maybe the ABRT 'what did you just do' screen should be done as soon as possible, rather than after all that?)

Version-Release number of selected component:
gthumb-3.2.4-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gthumb
crash_function: strncmp
executable:     /usr/bin/gthumb
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 strncmp at ../sysdeps/x86_64/strcmp.S:209
 #1 gth_file_source_supports_scheme at gth-file-source.c:921
 #2 get_monitor_file_source_for_file at gth-folder-tree.c:416
 #3 _gth_folder_tree_remove_from_monitor at gth-folder-tree.c:434
 #4 update_monitored_locations at gth-folder-tree.c:534
 #9 g_main_context_iteration at gmain.c:3774
 #10 g_application_run at gapplication.c:1635

Comment 1 Tim Waugh 2014-07-24 19:09:26 UTC
Created attachment 920687 [details]
File: backtrace

Comment 2 Tim Waugh 2014-07-24 19:09:27 UTC
Created attachment 920688 [details]
File: cgroup

Comment 3 Tim Waugh 2014-07-24 19:09:28 UTC
Created attachment 920689 [details]
File: core_backtrace

Comment 4 Tim Waugh 2014-07-24 19:09:29 UTC
Created attachment 920690 [details]
File: dso_list

Comment 5 Tim Waugh 2014-07-24 19:09:31 UTC
Created attachment 920691 [details]
File: environ

Comment 6 Tim Waugh 2014-07-24 19:09:32 UTC
Created attachment 920692 [details]
File: exploitable

Comment 7 Tim Waugh 2014-07-24 19:09:33 UTC
Created attachment 920693 [details]
File: limits

Comment 8 Tim Waugh 2014-07-24 19:09:35 UTC
Created attachment 920694 [details]
File: maps

Comment 9 Tim Waugh 2014-07-24 19:09:36 UTC
Created attachment 920695 [details]
File: open_fds

Comment 10 Tim Waugh 2014-07-24 19:09:37 UTC
Created attachment 920696 [details]
File: proc_pid_status

Comment 11 Tim Waugh 2014-07-24 19:09:38 UTC
Created attachment 920697 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:27:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:44:40 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.